This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 98629 - swapoff -a crashes while doing a lot of other stuff
swapoff -a crashes while doing a lot of other stuff
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-05 19:35 EDT by Alexandre Oliva
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2003-07-05 19:35:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030619

Description of problem:
I have 6 small swap partitions and one larger, lower-priority and never-used
excess swap logical volume on top of raid 5 physical volumes.  I had it
accidentally enabled with the same priority as the other swap partitions, so a
bit of it was used.  After fixing /etc/fstab, I ran swapoff -a, immediately
followed by swapon -a.  swapoff crashed and logged an error message to
/var/log/messages, but the machine kept on running.  This was not the first time
this happened to me, but it doesn't always happen.  At this time, I had a lot of
disk activity going on: pvmoving unrelated physical volumes around, and
resyncing also unrelated raid5 volumes.  I don't know whether this is related,
or whether it just happened by chance.  It's not 100% reproducible, unfortunately.

Version-Release number of selected component (if applicable):
kernel-2.4.20-18.9

How reproducible:
Sometimes

Steps to Reproduce:
1.Create a few swap partitions, as well as one logical volume atop of raid5
physical volumes, and enable them all with the same priority
2.Wait until you've got about 1MB used in each of them, not because of excess
memory demand, but rather only due to inactivity
3.swapoff -a
    

Actual Results:  Segmentation fault.

/var/log/messages says:
Jul  5 20:06:08 free kernel: Unable to handle kernel paging request at virtual
address 00003a04
Jul  5 20:06:08 free kernel:  printing eip:
Jul  5 20:06:08 free kernel: c0158791
Jul  5 20:06:08 free kernel: *pde = 00000000
Jul  5 20:06:08 free kernel: Oops: 0002
Jul  5 20:06:08 free kernel: binfmt_misc parport_pc lp parport nfs nfsd lockd
sunrpc sd_mod cipcb 8139too mii ipt_TCPMSS ipt_REJECT ipt_LOG ipt_state
iptable_nat ip_conntrack iptable_mang
Jul  5 20:06:08 free kernel: CPU:    0
Jul  5 20:06:08 free kernel: EIP:    0060:[<c0158791>]    Not tainted
Jul  5 20:06:08 free kernel: EFLAGS: 00010202
Jul  5 20:06:08 free kernel:
Jul  5 20:06:08 free kernel: EIP is at dput [kernel] 0x11 (2.4.20-18.9)
Jul  5 20:06:08 free kernel: eax: 00003a04   ebx: 00003a04   ecx: ffffffff  
edx: ffffffff
Jul  5 20:06:08 free kernel: esi: ffffffea   edi: 0804976e   ebp: dba5edc0  
esp: da29df64
Jul  5 20:06:08 free kernel: ds: 0068   es: 0068   ss: 0068
Jul  5 20:06:08 free kernel: Process swapoff (pid: 4884, stackpage=da29d000)
Jul  5 20:06:08 free kernel: Stack: 00000000 da29df7c da29df90 ffffffea c014f6f5
00003a04 00000000 c013e06f
Jul  5 20:06:08 free kernel:        da29df90 00000002 00000000 00003a04 00000000
00000000 3f074568 3f074568
Jul  5 20:06:08 free kernel:        3f074568 00001000 00000000 da29c000 0804b5d5
0804976e bfffe278 c010939f
Jul  5 20:06:08 free kernel: Call Trace:   [<c014f6f5>] path_release [kernel]
0x15 (0xda29df74))
Jul  5 20:06:08 free kernel: [<c013e06f>] sys_swapoff [kernel] 0x17f (0xda29df80))
Jul  5 20:06:08 free kernel: [<c010939f>] system_call [kernel] 0x33 (0xda29dfc0))
Jul  5 20:06:08 free kernel:
Jul  5 20:06:09 free kernel:
Jul  5 20:06:09 free kernel: Code: ff 0b 0f 94 c0 84 c0 0f 84 c6 00 00 00 8d 73
18 39 73 18 74


Expected Results:  No oops, successful completion of swapoff.

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:41:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.